## libpsl 0.21.2

=== meson_options.txt ===
option('runtime', type : 'combo',
  choices : ['libidn2', 'libicu', 'libidn', 'no', 'auto'], value : 'auto',
  description : 'Specify the IDNA library used for libpsl run-time conversions')

option('builtin', type : 'boolean',
  value : true,
  description : 'Specify whether libpsl will include built-in PSL data')

option('psl_distfile', type : 'string', value : '',
  description : 'path to distribution-wide PSL file')

option('psl_file', type : 'string', value : '',
  description : 'path to PSL file')

option('psl_testfile', type : 'string', value : '',
  description : 'path to PSL test file')

option('docs', type: 'boolean', value: false,
  description: 'Build the API reference (requires gtk-doc)')

## libpsl 0.5.1

=== debian/changelog ===
libpsl (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Tim Rühsen <tim.ruehsen@gmx.de>  Sun, 03 Aug 2014 13:08:51 +0200

libpsl (0.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Tim Rühsen <tim.ruehsen@gmx.de>  Tue, 08 Jul 2014 10:04:10 +0200

libpsl (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #750709)

 -- Tim Rühsen <tim.ruehsen@gmx.de>  Mon, 23 Jun 2014 12:40:12 -0400

=== debian/control ===
Source: libpsl
Priority: optional
Maintainer: Tim Rühsen <tim.ruehsen@gmx.de>
Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends:
 automake,
 autotools-dev,
 debhelper (>=9),
 gtk-doc-tools,
 help2man,
 libicu-dev,
 pkg-config,
 publicsuffix (>= 20140402-2)
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/rockdaboot/libpsl
Vcs-Git: https://github.com/rockdaboot/libpsl
Vcs-Browser: https://github.com/rockdaboot/libpsl

Package: libpsl-dev
Section: libdevel
Architecture: any
Depends:
 libpsl0 (= ${binary:Version}),
 ${misc:Depends}
Description: Library for Public Suffix List (development headers)
 Libpsl allows checking domains against the Public Suffix List,
 It can be used to avoid privacy-leaking 'super-cookies', 
 'super domain' certificates, for domain highlighting purposes
 sorting domain lists by site and more.
 .
 This package contains development header files and documentation for
 developers.

Package: libpsl0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Description: Library for Public Suffix List (shared libraries)
 Libpsl allows checking domains against the Public Suffix List,
 It can be used to avoid privacy-leaking 'super-cookies',
 'super domain' certificates, for domain highlighting purposes
 sorting domain lists by site and more.
 .
 This package contains runtime libraries.

Package: psl
Section: net
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: foreign
Description: Explore the Public Suffix List
 Libpsl allows checking domains against the Public Suffix List,
 It can be used to avoid privacy-leaking 'super-cookies',
 'super domain' certificates, for domain highlighting purposes
 sorting domain lists by site and more.
 .
 This package contains a commandline tool to explore the Public Suffix
 List.
 
Package: libpsl0-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libpsl0 (= ${binary:Version}),
 ${misc:Depends}
Multi-Arch: same
Description: Library for the Public Suffix List (debug symbols)
 Libpsl allows checking domains against the Public Suffix List,
 It can be used to avoid privacy-leaking 'super-cookies',
 'super domain' certificates, for domain highlighting purposes
 sorting domain lists by site and more.
 .
 This package contains debug symbols for libpsl.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
export DH_OPTIONS += --dbg-package=libpsl0-dbg

%:
	dh $@  --with autotools-dev

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- \
		--enable-builtin=libicu \
		--enable-gtk-doc \
		--enable-ld-version-script \
		--enable-runtime=libicu \
		--with-packager=Debian \
		--with-packager-bug-reports=https://bugs.debian.org/ \
		--with-packager-version="$(DEB_VERSION)" \
		--with-psl-file=/usr/share/publicsuffix/effective_tld_names.dat \
		--with-psl-testfile=/usr/share/doc/publicsuffix/examples/test_psl.txt

override_dh_auto_build:
	dh_auto_build
	help2man --no-info --no-discard-stderr --output=debian/psl.1 \
		--name="Explore the Public Suffix List" tools/psl

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libpsl-$1\.tar\.gz/ \
  https://github.com/rockdaboot/libpsl/tags .*/v?(\d\S*)\.tar\.gz

## libpsl 0.8.0

=== debian/changelog ===
libpsl (0.8.0-1) unstable; urgency=medium

  * new upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 06 Aug 2015 15:52:27 -0400

libpsl (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * switch from autotools-dev to dh_autoreconf
  * embed SOURCE_DATE_EPOCH for psl_compiled_time() to make build
    reproducible.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 09 Jul 2015 10:06:59 -0400

libpsl (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Tim Rühsen <tim.ruehsen@gmx.de>  Fri, 14 Nov 2014 17:51:17 +0100

libpsl (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Tim Rühsen <tim.ruehsen@gmx.de>  Mon, 10 Nov 2014 21:19:17 +0100

=== debian/control ===
Source: libpsl
Priority: optional
Maintainer: Tim Rühsen <tim.ruehsen@gmx.de>
Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: automake,
               debhelper (>=9),
               dh-autoreconf,
               gtk-doc-tools,
               help2man,
               libicu-dev,
               pkg-config,
               publicsuffix (>= 20140402-2)
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/rockdaboot/libpsl
Vcs-Git: https://github.com/rockdaboot/libpsl
Vcs-Browser: https://github.com/rockdaboot/libpsl

Package: libpsl-dev
Section: libdevel
Architecture: any
Depends: libpsl0 (= ${binary:Version}), ${misc:Depends}
Description: Library for Public Suffix List (development headers)
 Libpsl allows checking domains against the Public Suffix List.
 It can be used to avoid privacy-leaking 'super-cookies',
 'super domain' certificates, for domain highlighting purposes
 sorting domain lists by site and more.
 .
 Please see http://publicsuffix.org for more detailed information.
 .
 This package contains development header files and documentation for
 developers.

Package: libpsl0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Library for Public Suffix List (shared libraries)
 Libpsl allows checking domains against the Public Suffix List.
 It can be used to avoid privacy-leaking 'super-cookies',
 'super domain' certificates, for domain highlighting purposes
 sorting domain lists by site and more.
 .
 Please see http://publicsuffix.org for more detailed information.
 .
 This package contains runtime libraries.

Package: psl
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Explore the Public Suffix List
 Libpsl allows checking domains against the Public Suffix List.
 It can be used to avoid privacy-leaking 'super-cookies',
 'super domain' certificates, for domain highlighting purposes
 sorting domain lists by site and more.
 .
 Please see http://publicsuffix.org for more detailed information.
 .
 This package contains a commandline tool to explore the Public Suffix
 List.

Package: libpsl0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libpsl0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Library for the Public Suffix List (debug symbols)
 Libpsl allows checking domains against the Public Suffix List.
 It can be used to avoid privacy-leaking 'super-cookies',
 'super domain' certificates, for domain highlighting purposes
 sorting domain lists by site and more.
 .
 Please see http://publicsuffix.org for more detailed information.
 .
 This package contains debug symbols for libpsl.

## libpsl 0.11.0

=== debian/changelog ===
libpsl (0.11.0-2) unstable; urgency=medium

  * Recommend the publicsuffix package.
  * fix psl_builtin_outdated() and update psl --print-info and --version
    (pulled from upstream)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 11 Dec 2015 22:34:03 -0500

libpsl (0.11.0-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 23 Sep 2015 14:43:00 -0400

libpsl (0.8.1-1) UNRELEASED; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 15 Aug 2015 13:55:37 +0200

=== debian/control ===
--- 
+++ 
@@ -34,6 +34,7 @@
 Package: libpsl0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: publicsuffix
 Multi-Arch: same
 Description: Library for Public Suffix List (shared libraries)
  Libpsl allows checking domains against the Public Suffix List.

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,12 @@
 export DH_OPTIONS += --dbg-package=libpsl0-dbg
 
 %:
-	dh $@  --with autotools-dev
+	dh $@  --with autoreconf
+
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
-	./autogen.sh
 	dh_auto_configure -- \
 		--enable-builtin=libicu \
 		--enable-gtk-doc \

=== debian/watch ===
version=3
https://github.com/rockdaboot/libpsl/tags .*/libpsl-(\d\S*)\.tar\.gz

## libpsl 0.14.0

=== debian/changelog ===
libpsl (0.14.0-1) unstable; urgency=medium

  * New uptream version; moved from libpsl0 to libpsl5 because of removal
    of psl_builtin_compile_time()
  * new psl-make-dafsa package
  * use upstreamed manpages instead

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 05 Jul 2016 11:09:09 -0400

=== debian/control ===
Source: libpsl
Priority: optional
Maintainer: Tim Rühsen <tim.ruehsen@gmx.de>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 debhelper (>=9),
Build-Depends-Arch:
 automake,
 dh-autoreconf,
 gtk-doc-tools,
 libicu-dev,
 pkg-config,
 publicsuffix (>= 20150507),
 python,
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/rockdaboot/libpsl
Vcs-Git: https://github.com/rockdaboot/libpsl
Vcs-Browser: https://github.com/rockdaboot/libpsl

Package: libpsl-dev
Section: libdevel
Architecture: any
Depends:
 libpsl5 (= ${binary:Version}),
 ${misc:Depends},
Description: Library for Public Suffix List (development headers)
 Libpsl allows checking domains against the Public Suffix List.
 It can be used to avoid privacy-leaking 'super-cookies',
 'super domain' certificates, for domain highlighting purposes
 sorting domain lists by site and more.
 .
 Please see https://publicsuffix.org for more detailed information.
 .
 This package contains development header files and documentation for
 developers.

Package: libpsl5
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 publicsuffix (>= 20150507),
Multi-Arch: same
Description: Library for Public Suffix List (shared libraries)
 Libpsl allows checking domains against the Public Suffix List.
 It can be used to avoid privacy-leaking 'super-cookies',
 'super domain' certificates, for domain highlighting purposes
 sorting domain lists by site and more.
 .
 Please see https://publicsuffix.org for more detailed information.
 .
 This package contains runtime libraries.

Package: psl
Section: net
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: Explore the Public Suffix List
 Libpsl allows checking domains against the Public Suffix List.
 It can be used to avoid privacy-leaking 'super-cookies',
 'super domain' certificates, for domain highlighting purposes
 sorting domain lists by site and more.
 .
 Please see https://publicsuffix.org for more detailed information.
 .
 This package contains a commandline tool to explore the Public Suffix
 List.

Package: psl-make-dafsa
Section: net
Architecture: all
Depends:
 python:any,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Create a binary DAFSA from a Public Suffix List
 libpsl permits the use of an optimized binary representation of the
 Public Suffix List (PSL).  This format is a deterministic acyclic
 finite state automaton, or DAFSA.
 .
 It is primarily used for building a new version of the publicsuffix
 package, but could also be used by anyone else looking to match
 printable US ASCII strings.
 .
 This package contains a Python script to convert a standard PSL into
 a DAFSA, either in C source code form, or in a specialized mmap-able
 binary format.

## libpsl 0.17.0

=== debian/changelog ===
libpsl (0.17.0-3) unstable; urgency=medium

  * runtime dependency on libidn2-dev should have been on libidn2-0
    (Closes: #852418)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 24 Jan 2017 09:36:45 -0500

libpsl (0.17.0-2) unstable; urgency=medium

  * Force a higher runtime dependency on libidn2

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 24 Jan 2017 00:25:56 -0500

libpsl (0.17.0-1) unstable; urgency=medium

  [ Tim Rühsen ]
  * new upstream release

  [ Daniel Kahn Gillmor ]
  * Use alioth for debian packaging
  * Move from libicu to libidn2

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 24 Jan 2017 00:00:56 -0500

libpsl (0.16.1-1) unstable; urgency=medium

  * new upstream release

 -- Tim Rühsen <tim.ruehsen@gmx.de>  Thu, 15 Dec 2016 15:45:07 +0100

libpsl (0.15.0-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 15 Nov 2016 08:40:01 +0900

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
- debhelper (>=9),
+ debhelper (>=10~),
 Build-Depends-Arch:
  automake,
  dh-autoreconf,
  gtk-doc-tools,
- libicu-dev,
+ libidn2-0-dev (>=0.16),
+ libunistring-dev,
  pkg-config,
  publicsuffix (>= 20150507),
  python,
 Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/rockdaboot/libpsl
-Vcs-Git: https://github.com/rockdaboot/libpsl
-Vcs-Browser: https://github.com/rockdaboot/libpsl
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libpsl -b debian
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libpsl
 
 Package: libpsl-dev
 Section: libdevel
@@ -39,6 +40,7 @@
 Package: libpsl5
 Architecture: any
 Depends:
+ libidn2-0 (>= 0.16),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_autoreconf-arch:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		--enable-builtin=libidn2 \
		--enable-gtk-doc \
		--enable-man \
		--enable-ld-version-script \
		--enable-runtime=libidn2 \
		--with-packager=Debian \
		--with-packager-bug-reports=https://bugs.debian.org/ \
		--with-packager-version="$(DEB_VERSION)" \
		--with-psl-distfile=/usr/share/publicsuffix/public_suffix_list.dafsa \
		--with-psl-file=/usr/share/publicsuffix/public_suffix_list.dat \
		--with-psl-testfile=/usr/share/doc/publicsuffix/examples/test_psl.txt

override_dh_installchangelogs:
	dh_installchangelogs NEWS

	# do nothing during an arch-independent build
override_dh_autoreconf-indep:
override_dh_auto_configure-indep:
override_dh_auto_build-indep:

override_dh_clean:
	[ -e missing ] || ln -sf /usr/share/libtool/build-aux/missing missing
	dh_clean

## libpsl 0.18.0

=== debian/changelog ===
libpsl (0.18.0-2) unstable; urgency=medium

  * build-depend on python:any to ease cross-building.  Thanks, Helmut
    Grohne.  (Closes: #856477)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 11 Aug 2017 14:36:09 -0400

libpsl (0.18.0-1) unstable; urgency=medium

  * New upstream release
  * debhelper 10 does autoreconf automatically, drop unnecessary
    build-depends

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 10 Aug 2017 20:17:09 -0400

libpsl (0.17.0-5) unstable; urgency=medium

  * fix bugs found upstream by fuzzing.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 14 Jul 2017 21:35:43 +0200

libpsl (0.17.0-4) unstable; urgency=medium

  * prefer dafsa to plain-text (Closes: #855711)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 21 Feb 2017 13:03:44 -0500

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,13 @@
  debhelper (>=10~),
 Build-Depends-Arch:
  automake,
- dh-autoreconf,
  gtk-doc-tools,
  libidn2-0-dev (>=0.16),
  libunistring-dev,
  pkg-config,
  publicsuffix (>= 20150507),
- python,
-Standards-Version: 3.9.8
+ python:any,
+Standards-Version: 4.0.1
 Section: libs
 Homepage: https://github.com/rockdaboot/libpsl
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libpsl -b debian

## libpsl 0.19.1

=== debian/changelog ===
libpsl (0.19.1-5build1) bionic; urgency=medium

  * Rebuild against new libunistring 0.9.9.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Mar 2018 09:23:34 +0100

libpsl (0.19.1-5) unstable; urgency=medium

  * Standards-Version: bump to 4.1.3 (no changes needed)
  * d/control: move Vcs: fields to salsa.debian.org
  * d/control: add Rules-Requres-Root: no
  * use DEP-14 repository branch naming
  * move to debhelper 11
  * add simple autopkgtest for /usr/bin/psl

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 22 Feb 2018 19:04:53 -0800

libpsl (0.19.1-4) unstable; urgency=medium

  [ Tim Rühsen ]
  * add static library to libpsl-dev

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 30 Nov 2017 16:19:33 -0500

libpsl (0.19.1-3) unstable; urgency=medium

  * try to force use of py3 during build (Closes: #881409)
  * address Multi-Arch hints from the tracker

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 11 Nov 2017 20:20:15 +0800

libpsl (0.19.1-2) unstable; urgency=medium

  * avoid cleaning up m4/ax_check_compile_flag.m4
  * add build-dependency on autoconf-archive for ax_check_compile_flag.m4

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 11 Nov 2017 17:59:57 +0800

libpsl (0.19.1-1) unstable; urgency=medium

  * New upstream release
  * tune psl-make-dafsa py3 patch -- just shebang modification
  * update symbols file for psl_free_string
  * Standards-Version: bump to 4.1.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 11 Nov 2017 12:19:20 +0800

libpsl (0.18.0-4) unstable; urgency=medium

  * fix py3 transition on non-UTF-8 systems (Closes: #874688)
    Thanks, Helmut Grohne!

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 10 Sep 2017 22:42:57 -0400

libpsl (0.18.0-3) unstable; urgency=medium

  * move psl-make-dafsa to py3
  * Standards-Version: bump to 4.1.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 07 Sep 2017 11:16:50 -0400

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,27 @@
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
- debhelper (>=10~),
+ debhelper (>= 11~),
 Build-Depends-Arch:
+ autoconf-archive,
  automake,
  gtk-doc-tools,
  libidn2-0-dev (>=0.16),
  libunistring-dev,
  pkg-config,
  publicsuffix (>= 20150507),
- python:any,
-Standards-Version: 4.0.1
+ python3:any,
+Standards-Version: 4.1.3
 Section: libs
 Homepage: https://github.com/rockdaboot/libpsl
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libpsl -b debian
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libpsl
+Vcs-Git: https://salsa.debian.org/debian/libpsl.git
+Vcs-Browser: https://salsa.debian.org/debian/libpsl
+Rules-Requires-Root: no
 
 Package: libpsl-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  libpsl5 (= ${binary:Version}),
  ${misc:Depends},
@@ -76,8 +79,9 @@
 Package: psl-make-dafsa
 Section: net
 Architecture: all
+Multi-Arch: foreign
 Depends:
- python:any,
+ python3:any,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Create a binary DAFSA from a Public Suffix List

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_autoreconf-arch:
 	dh_autoreconf ./autogen.sh

=== debian/tests/control ===
Tests: psl-test
Depends: diff, publicsuffix, psl

=== debian/watch ===
version=4
https://github.com/rockdaboot/libpsl/tags .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## libpsl 0.20.2

=== debian/changelog ===
libpsl (0.20.2-2) unstable; urgency=medium

  * correct dependencies for autopkgtest
  * Standards-Version: bump to 4.2.1 (no changes needed)
  * d/watch: go simple, avoid uupdate

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 15 Oct 2018 15:11:19 -0400

libpsl (0.20.2-1) unstable; urgency=medium

  * new upstream version
  * Standards-Version: bump to 4.1.4 (no changes needed)
  * refresh patches (dropping those already applied upstream)
  * drop trailing whitepsace from debian/changelog

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 31 May 2018 10:55:01 -0400

libpsl (0.20.1-1) unstable; urgency=medium

  * New upstream version
  * refresh patches
  * fix upstream spelling errors
  * d/changelog: fix spelling errors

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 23 Mar 2018 11:30:17 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  pkg-config,
  publicsuffix (>= 20150507),
  python3:any,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Section: libs
 Homepage: https://github.com/rockdaboot/libpsl
 Vcs-Git: https://salsa.debian.org/debian/libpsl.git

## libpsl 0.21.0

=== debian/changelog ===
libpsl (0.21.0-1.2build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:14:50 +0100

libpsl (0.21.0-1.2build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:17:43 +0200

libpsl (0.21.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Simon Josefsson ]
  * B-D on libidn2-dev instead of obsolete libidn2-0-dev. (Closes: #974994)

  [ Sebastian Ramacher ]
  * debian/patches: Update Platform.sh example in test data (Closes: #966941)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 04 Feb 2021 22:56:22 +0100

libpsl (0.21.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build the binaries also during indep build, required for
    installation of psl-make-dafsa.1. (Closes: #953287)
  * Remove essential diffutils from the test dependencies.
    (Closes: #955439)

 -- Adrian Bunk <bunk@debian.org>  Sat, 16 May 2020 17:24:03 +0300

libpsl (0.21.0-1) unstable; urgency=medium

  * New upstream release
  * standards-version: bump to 4.5.0 (no changes needed)
  * wrap-and-sort -ast for d/tests/control
  * move to dh 12
  * import patches from upstream (closes: #945243)
  * added Build-Depends line to libpsl5.symbols
  * install manpages from upstream installation, not source
  * deliberately avoid installing .la files
  * dh_missing: use --fail-missing
  * avoid lintian warnings about fuzzer inputs

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 04 Mar 2020 12:39:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: libpsl
 Priority: optional
-Maintainer: Tim Rühsen <tim.ruehsen@gmx.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tim Rühsen <tim.ruehsen@gmx.de>
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
- debhelper (>= 11~),
-Build-Depends-Arch:
+ debhelper-compat (= 12),
  autoconf-archive,
  automake,
  gtk-doc-tools,
- libidn2-0-dev (>=0.16),
+ libidn2-dev,
  libunistring-dev,
  pkg-config,
  publicsuffix (>= 20150507),
  python3:any,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/rockdaboot/libpsl
 Vcs-Git: https://salsa.debian.org/debian/libpsl.git

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,10 @@
 %:
 	dh $@
 
-override_dh_autoreconf-arch:
+override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
 
-override_dh_auto_configure-arch:
+override_dh_auto_configure:
 	dh_auto_configure -- \
 		--enable-builtin=libidn2 \
 		--enable-gtk-doc \
@@ -25,11 +25,9 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
-	# do nothing during an arch-independent build
-override_dh_autoreconf-indep:
-override_dh_auto_configure-indep:
-override_dh_auto_build-indep:
-
 override_dh_clean:
 	[ -e missing ] || ln -sf /usr/share/libtool/build-aux/missing missing
 	dh_clean
+
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/watch ===
version=4
https://github.com/rockdaboot/libpsl/tags .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## libpsl 0.21.2

=== debian/changelog ===
libpsl (0.21.2-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:56:25 +0000

libpsl (0.21.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062576

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 16:32:19 +0000

libpsl (0.21.2-1) unstable; urgency=low

  * New upstream version 0.21.2 (Closes: #1028857)
  * drop patches already upstream
  * move to dh 13
  * absorb changes from previous NMUs
  * clean up debian build process
  * adapt to new format of upstream tag names
  * d/watch: look at git repository directly
  * Standards-Version: bump to 4.6.2 (no changes needed)
  * Import gnulib visibility macro
  * revert parts of 0.21.0-1.1 to avoid a build-dependency loop
    (Closes: #962740)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 13 Feb 2023 13:57:37 -0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 XSBC-Original-Maintainer: Tim Rühsen <tim.ruehsen@gmx.de>
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
-Build-Depends:
- debhelper-compat (= 12),
+Build-Depends: dpkg-dev (>= 1.22.5),
+ debhelper-compat (= 13),
+Build-Depends-Arch: dpkg-dev (>= 1.22.5),
  autoconf-archive,
  automake,
  gtk-doc-tools,
@@ -14,7 +15,7 @@
  pkg-config,
  publicsuffix (>= 20150507),
  python3:any,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/rockdaboot/libpsl
 Vcs-Git: https://salsa.debian.org/debian/libpsl.git
@@ -26,7 +27,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libpsl5 (= ${binary:Version}),
+ libpsl5t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: Library for Public Suffix List (development headers)
  Libpsl allows checking domains against the Public Suffix List.
@@ -39,7 +40,10 @@
  This package contains development header files and documentation for
  developers.
 
-Package: libpsl5
+Package: libpsl5t64
+Provides: ${t64:Provides}
+Replaces: libpsl5
+Breaks: libpsl5 (<< ${source:Version})
 Architecture: any
 Depends:
  libidn2-0 (>= 0.16),

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,9 @@
 %:
 	dh $@
 
-override_dh_autoreconf:
-	dh_autoreconf ./autogen.sh
-
-override_dh_auto_configure:
+override_dh_auto_configure-arch:
 	dh_auto_configure -- \
-		--enable-builtin=libidn2 \
+		--enable-builtin \
 		--enable-gtk-doc \
 		--enable-man \
 		--enable-ld-version-script \
@@ -25,9 +22,11 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
+	# do nothing during an arch-independent build
+override_dh_autoreconf-indep:
+override_dh_auto_configure-indep:
+override_dh_auto_build-indep:
+
 override_dh_clean:
 	[ -e missing ] || ln -sf /usr/share/libtool/build-aux/missing missing
 	dh_clean
-
-override_dh_missing:
-	dh_missing --fail-missing

=== debian/tests/control ===
Tests: psl-test
Depends:
 psl,
 publicsuffix,
